Package com.collibra.dgc.core.api.dto.activitystream

# Class FindActivitiesRequest

Object
PagedRequest
FindActivitiesRequest

All Implemented Interfaces:
  `Serializable`

public class FindActivitiesRequest extends PagedRequest
The search criteria for activities.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored.

The returned activities satisfy all constraints that are specified in this search criteria.

By default a result containing 1000 activities is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindActivitiesRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindActivitiesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindActivitiesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `ActivityType`
  `getActivityType()`
  The type of the activity.
  `String`
  `getCallId()`
  The ID of the call.
  `Set<ActivityFilterCategory>`
  `getCategories()`
  The set of the categories of activities that should be searched.
  `UUID`
  `getContextId()`
  The ID of the context which the activities should be searched for.
  `int`
  `getCountLimit()`
  Deprecated.
  Parameter not used in the context of activities, for performance reasons they are not counted.
  `Long`
  `getEndDate()`
  The end date of the searched activities, expressed as a Unix timestamp in milliseconds.
  `Set<UUID>`
  `getInvolvedPeopleIds()`
  The list of IDs of the people that should be involved in searched activities.
  `Set<UUID>`
  `getInvolvedRoleIds()`
  The list of IDs of the roles that should be involved in searched activities.
  `Set<UUID>`
  `getPerformedByRoleIds()`
  The list of IDs of the roles assigned to users who performed searched activities.
  `UUID`
  `getPerformedByUserId()`
  The ID of the user who performed searched activities.
  `Set<String>`
  `getResourceDiscriminators()`
  `Set<ResourceType>`
  `getResourceTypes()`
  Deprecated.
  Use `resourceDiscriminators` instead.
  `Long`
  `getStartDate()`
  The start date of the searched activities, expressed as a Unix timestamp in milliseconds.
  `UUID`
  `getTaskId()`
  The ID of the task which contains the basic find activities request.
  `int`
  `hashCode()`
  `boolean`
  `isCallCountEnabled()`
  Flag to indicate if the number of calls standing behind the activity should be returned or not.
  `void`
  `setActivityType(ActivityType activityType)`
  The type of the activity.
  `void`
  `setCallCountEnabled(boolean callCountEnabled)`
  Flag to indicate if the number of calls standing behind the activity should be returned or not.
  `void`
  `setCallId(String callId)`
  The ID of the call.
  `void`
  `setCategories(Set<ActivityFilterCategory> categories)`
  The set of the categories of activities that should be searched.
  `void`
  `setContextId(UUID contextId)`
  The ID of the context which the activities should be searched for.
  `void`
  `setEndDate(Long endDate)`
  The end date of the searched activities, expressed as a Unix timestamp in milliseconds.
  `void`
  `setInvolvedPeopleIds(Set<UUID> involvedPeopleIds)`
  The list of IDs of the people that should be involved in searched activities.
  `void`
  `setInvolvedRoleIds(Set<UUID> involvedRoleIds)`
  The list of IDs of the roles that should be involved in searched activities.
  `void`
  `setPerformedByRoleIds(Set<UUID> performedByRoleIds)`
  The list of IDs of the roles assigned to users who performed searched activities.
  `void`
  `setPerformedByUserId(UUID performedByUserId)`
  The ID of the user who performed searched activities.
  `void`
  `setResourceDiscriminators(Set<String> resourceDiscriminators)`
  `void`
  `setResourceTypes(Set<ResourceType> resourceTypes)`
  Deprecated.
  Use `resourceDiscriminators` instead.
  `void`
  `setStartDate(Long startDate)`
  The start date of the searched activities, expressed as a Unix timestamp in milliseconds.
  `void`
  `setTaskId(UUID taskId)`
  The ID of the task which contains the basic find activities request.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindActivitiesRequest

    public FindActivitiesRequest()

- ## Method Details

  - ### getCountLimit

    @Deprecated(since="2024.02") @QueryParam("countLimit") public int getCountLimit()
    Deprecated.
    Parameter not used in the context of activities, for performance reasons they are not counted.
    Description copied from class: `PagedRequest`
    Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped
    Overrides:
      `getCountLimit` in class `PagedRequest`

  - ### builder

    public static FindActivitiesRequest.Builder builder()

  - ### getTaskId

    public UUID getTaskId()
    The ID of the task which contains the basic find activities request.

  - ### getContextId

    public UUID getContextId()
    The ID of the context which the activities should be searched for.

  - ### getInvolvedPeopleIds

    public Set<UUID> getInvolvedPeopleIds()
    The list of IDs of the people that should be involved in searched activities.

  - ### getInvolvedRoleIds

    public Set<UUID> getInvolvedRoleIds()
    The list of IDs of the roles that should be involved in searched activities.

  - ### getPerformedByUserId

    public UUID getPerformedByUserId()
    The ID of the user who performed searched activities.

  - ### getPerformedByRoleIds

    public Set<UUID> getPerformedByRoleIds()
    The list of IDs of the roles assigned to users who performed searched activities.

  - ### getActivityType

    public ActivityType getActivityType()
    The type of the activity.

  - ### getCallId

    public String getCallId()
    The ID of the call.

  - ### getCategories

    public Set<ActivityFilterCategory> getCategories()
    The set of the categories of activities that should be searched. One of [ATTRIBUTE, ATTACHMENT, RELATION, COMMENT, STATUS, WORKFLOW, RESPONSIBILITY, USER, USER_GROUP, ROLE, TAGS, OTHERS].

  - ### getResourceTypes

    @Deprecated public Set<ResourceType> getResourceTypes()
    Deprecated.
    Use `resourceDiscriminators` instead.
    The set of the resource types that searched activities refer to, i.e. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance].

  - ### getResourceDiscriminators

    public Set<String> getResourceDiscriminators()

  - ### getStartDate

    public Long getStartDate()
    The start date of the searched activities, expressed as a Unix timestamp in milliseconds.

  - ### getEndDate

    public Long getEndDate()
    The end date of the searched activities, expressed as a Unix timestamp in milliseconds.

  - ### isCallCountEnabled

    public boolean isCallCountEnabled()
    Flag to indicate if the number of calls standing behind the activity should be returned or not. Note that by default that count will be not calculated as it brings an important performance penalty.

  - ### setTaskId

    public void setTaskId(UUID taskId)
    The ID of the task which contains the basic find activities request.

  - ### setContextId

    public void setContextId(UUID contextId)
    The ID of the context which the activities should be searched for.

  - ### setInvolvedPeopleIds

    public void setInvolvedPeopleIds(Set<UUID> involvedPeopleIds)
    The list of IDs of the people that should be involved in searched activities.

  - ### setInvolvedRoleIds

    public void setInvolvedRoleIds(Set<UUID> involvedRoleIds)
    The list of IDs of the roles that should be involved in searched activities.

  - ### setPerformedByUserId

    public void setPerformedByUserId(UUID performedByUserId)
    The ID of the user who performed searched activities.

  - ### setPerformedByRoleIds

    public void setPerformedByRoleIds(Set<UUID> performedByRoleIds)
    The list of IDs of the roles assigned to users who performed searched activities.

  - ### setActivityType

    public void setActivityType(ActivityType activityType)
    The type of the activity.

  - ### setCallId

    public void setCallId(String callId)
    The ID of the call.

  - ### setCategories

    public void setCategories(Set<ActivityFilterCategory> categories)
    The set of the categories of activities that should be searched. One of [ATTRIBUTE, ATTACHMENT, RELATION, COMMENT, STATUS, WORKFLOW, RESPONSIBILITY, USER, USER_GROUP, ROLE, TAGS, OTHERS].

  - ### setResourceTypes

    @Deprecated public void setResourceTypes(Set<ResourceType> resourceTypes)
    Deprecated.
    Use `resourceDiscriminators` instead.
    The set of the resource types that searched activities refer to, i.e. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance].

  - ### setResourceDiscriminators

    public void setResourceDiscriminators(Set<String> resourceDiscriminators)

  - ### setStartDate

    public void setStartDate(Long startDate)
    The start date of the searched activities, expressed as a Unix timestamp in milliseconds.

  - ### setEndDate

    public void setEndDate(Long endDate)
    The end date of the searched activities, expressed as a Unix timestamp in milliseconds.

  - ### setCallCountEnabled

    public void setCallCountEnabled(boolean callCountEnabled)
    Flag to indicate if the number of calls standing behind the activity should be returned or not. Note that by default that count will be not calculated as it brings an important performance penalty.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`